<?php
/**
 * Pagination
 *
 * @package Macro News
 */

$wp_customize->add_section(
	'macro_news_pagination',
	array(
		'panel' => 'macro_news_theme_options',
		'title' => esc_html__( 'Pagination', 'macro-news' ),
	)
);

// Pagination - Pagination Type.
$wp_customize->add_setting(
	'macro_news_pagination_type',
	array(
		'default'           => 'default',
		'sanitize_callback' => 'macro_news_sanitize_select',
	)
);

$wp_customize->add_control(
	'macro_news_pagination_type',
	array(
		'label'           => esc_html__( 'Pagination Type', 'macro-news' ),
		'section'         => 'macro_news_pagination',
		'settings'        => 'macro_news_pagination_type',
		'type'            => 'select',
		'choices'         => array(
			'default'  => __( 'Default (Older/Newer)', 'macro-news' ),
			'numeric'  => __( 'Numeric', 'macro-news' ),
		),
	)
);
